## puzzletube 0.5-maemo1

=== sparrow3d/Makefile ===
CFLAGS = -O3
CFLAGS_ASM = -O2
#==PC==
CPP = gcc -g -DARMCPU
SDL = `sdl-config --cflags`
#==Consoles==
#==GP2X/WIZ==
#ORIGINALFW = -static -lfreetype -lpng -lpthread -lz -ljpeg -lm -s
#CPP = /opt/open2x/gcc-4.1.1-glibc-2.3.6/bin/arm-open2x-linux-gcc -DMOBILE_DEVICE -DARMCPU -DGP2X
#SDL = `/opt/open2x/gcc-4.1.1-glibc-2.3.6/bin/sdl-config --cflags`
#INCLUDE = -I/opt/open2x/gcc-4.1.1-glibc-2.3.6/include
#LIB = -L/opt/open2x/gcc-4.1.1-glibc-2.3.6/lib -Wl,-rpath=/opt/open2x/gcc-4.1.1-glibc-2.3.6/lib
#==Caanoo==
#CPP = /opt/caanoo/gcc-4.2.4-glibc-2.7-eabi/bin/arm-gph-linux-gnueabi-gcc -DMOBILE_DEVICE -DARMCPU -DCAANOO
#SDL = -I/opt/caanoo/gcc-4.2.4-glibc-2.7-eabi/arm-gph-linux-gnueabi/sys-root/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
#INCLUDE = -I/opt/caanoo/gcc-4.2.4-glibc-2.7-eabi/arm-gph-linux-gnueabi/sys-root/usr/include
#LIB = -L/opt/caanoo/gcc-4.2.4-glibc-2.7-eabi/arm-gph-linux-gnueabi/sys-root/usr/lib -Wl,-rpath=/opt/caanoo/gcc-4.2.4-glibc-2.7-eabi/arm-gph-linux-gnueabi/sys-root/usr/lib
#==Dingoo==
#CPP = /opt/mipsel-linux-uclibc/usr/bin/mipsel-linux-gcc -DDINGOO
#SDL = -I/opt/mipsel-linux-uclibc/usr/mipsel-linux-uclibc/sys-include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
#INCLUDE = -I/opt/mipsel-linux-uclibc/usr/mipsel-linux-uclibc/sys-include
#LIB = -L/opt/mipsel-linux-uclibc/usr/lib -Wl,-rpath=/opt/mipsel-linux-uclibc/usr/lib
#==Pandora==
#CPP = /opt/pandora/arm-2011.03/bin/arm-none-linux-gnueabi-gcc -DARMCPU -DPANDORA
#SDL = `/opt/pandora/arm-2011.03/usr/bin/sdl-config --cflags`
#INCLUDE = -I/opt/pandora/arm-2011.03/usr/include
#LIB = -L/opt/pandora/arm-2011.03/usr/lib -Wl,-rpath=/opt/pandora/arm-2011.03/usr/lib -lpnd

all: sparrow3d testsparrow

testsparrow: testsparrow.c sparrow3d
	$(CPP) $(CFLAGS) testsparrow.c $(SDL) $(INCLUDE) -L. $(LIB) -lSDL_ttf -lSDL_image -lSDL -lm -lsparrow3d $(ORIGINALFW) -o testsparrow

sparrow3d: sparrowCore.o sparrowMath.o
	$(CPP) -shared -Wl,-soname,libsparrow3d.so -o libsparrow3d.so sparrowCore.o sparrowMath.o $(SDL) $(INCLUDE) $(LIB) -lSDL_ttf -lSDL_image -lSDL -lm $(ORIGINALFW)

testengine: testengine.c meshloader.o 3dengine.o graphicstuff.o graphicstuff-asm.o
	$(CPP) $(CFLAGS) testengine.c 3dengine.o graphicstuff.o meshloader.o graphicstuff-asm.o $(SDL) $(INCLUDE) $(LIB) -lSDL_ttf -lSDL_image -lSDL -lm $(ORIGINALFW) -o testengine

meshloader.o: meshloader.c meshloader.h 3dengine.o
	$(CPP) $(CFLAGS) -c meshloader.c $(SDL) $(INCLUDE)

3dengine.o: 3dengine.c 3dengine.h graphicstuff.o
	$(CPP) $(CFLAGS) -c 3dengine.c -w $(SDL) $(INCLUDE)

graphicstuff.o: graphicstuff.c graphicstuff.h
	$(CPP) $(CFLAGS) -c graphicstuff.c $(SDL) $(INCLUDE)

graphicstuff-asm.o: graphicstuff-asm.c graphicstuff.h
	$(CPP) $(CFLAGS_ASM) -c graphicstuff-asm.c $(SDL) $(INCLUDE)

sparrowCore.o: sparrowCore.c sparrowCore.h
	$(CPP) $(CFLAGS) -fPIC -c sparrowCore.c $(SDL) $(INCLUDE)

sparrowMath.o: sparrowMath.c sparrowMath.h
	$(CPP) $(CFLAGS) -fPIC -c sparrowMath.c $(SDL) $(INCLUDE)

clean:
	rm *.o
	rm libsparrow3d.so
	rm testsparrow

=== debian/changelog ===
puzzletube (0.5-maemo1) unstable; urgency=low

   * Sneak preview

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 21 Jul 2011 09:30:40 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
ifeq ($(DEB_BUILD_GNU_TYPE),arm-linux-gnueabi)
	cd sparrow3d ; make testengine
	cd puzzletube ; make
else
	cd sparrow3d ; make -f Makefile.i386 testengine 
	cd puzzletube ; make -f Makefile.i386
endif

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#cd sparrow3d ; make clean
	#cd puzzletube ; make clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs


	#folders
	install -d ${CURDIR}/debian/puzzletube/opt/puzzletube/
	install -d ${CURDIR}/debian/puzzletube/opt/puzzletube/data
	install -d ${CURDIR}/debian/puzzletube/opt/puzzletube/font
	install -d ${CURDIR}/debian/puzzletube/opt/puzzletube/images
	install -d ${CURDIR}/debian/puzzletube/opt/puzzletube/sounds
	install -d ${CURDIR}/debian/puzzletube/opt/puzzletube/lib


	#files
	install ${CURDIR}/puzzletube/puzzletube ${CURDIR}/debian/puzzletube/opt/puzzletube/
	install ${CURDIR}/puzzletube/data/*    ${CURDIR}/debian/puzzletube/opt/puzzletube/data
	install ${CURDIR}/puzzletube/font/*    ${CURDIR}/debian/puzzletube/opt/puzzletube/font
	install ${CURDIR}/puzzletube/images/*  ${CURDIR}/debian/puzzletube/opt/puzzletube/images
	install ${CURDIR}/puzzletube/sounds/*  ${CURDIR}/debian/puzzletube/opt/puzzletube/sounds

ifeq ($(DEB_BUILD_GNU_TYPE),arm-linux-gnueabi)
	install ${CURDIR}/libSDL_mixer-1.2.so.0  ${CURDIR}/debian/puzzletube/opt/puzzletube/lib
endif

	#menu and icon and starting script
	install -d  ${CURDIR}/debian/puzzletube/usr/share/icons/hicolor/64x64/hildon
	install ${CURDIR}/puzzletube64x64.png     ${CURDIR}/debian/puzzletube/usr/share/icons/hicolor/64x64/hildon/puzzletube

	install -d ${CURDIR}/debian/puzzletube/usr/share/applications/hildon
	install ${CURDIR}/puzzletube.desktop ${CURDIR}/debian/puzzletube/usr/share/applications/hildon

	install -d ${CURDIR}/debian/puzzletube/usr/bin
	install  ${CURDIR}/puzzletube.sh ${CURDIR}/debian/puzzletube/usr/bin

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## puzzletube 0.5-maemo2

=== puzzletube/Makefile ===
CFLAGS = -O3
#==PC==
CPP = gcc -g -DARMCPU
SDL = `sdl-config --cflags`
#==Consoles==
#==GP2X/WIZ==
#  REALGP2X activates gp2xspecific optimizations, which the wiz doesn't need
#	 e.g. modells with fewer polygons
#ORIGINALFW = -static -lsmpeg -lstdc++ -lSDL -lfreetype -lpng -lpthread -lz -ljpeg -lm -s
#CPP = /opt/open2x/gcc-4.1.1-glibc-2.3.6/bin/arm-open2x-linux-gcc -DMOBILE_DEVICE -DARMCPU -DGP2X -DREALGP2X
#SDL = `/opt/open2x/gcc-4.1.1-glibc-2.3.6/bin/sdl-config --cflags`
#INCLUDE = -I/opt/open2x/gcc-4.1.1-glibc-2.3.6/include
#LIB = -L/opt/open2x/gcc-4.1.1-glibc-2.3.6/lib -Wl,-rpath=/opt/open2x/gcc-4.1.1-glibc-2.3.6/lib
#==Caanoo==
#CPP = /opt/caanoo/gcc-4.2.4-glibc-2.7-eabi/bin/arm-gph-linux-gnueabi-gcc -DMOBILE_DEVICE -DARMCPU -DCAANOO
#SDL = -I/opt/caanoo/gcc-4.2.4-glibc-2.7-eabi/arm-gph-linux-gnueabi/sys-root/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
#INCLUDE = -I/opt/caanoo/gcc-4.2.4-glibc-2.7-eabi/arm-gph-linux-gnueabi/sys-root/usr/include
#LIB = -L/opt/caanoo/gcc-4.2.4-glibc-2.7-eabi/arm-gph-linux-gnueabi/sys-root/usr/lib -Wl,-rpath=/opt/caanoo/gcc-4.2.4-glibc-2.7-eabi/arm-gph-linux-gnueabi/sys-root/usr/lib
#==Dingoo==
#CPP = /opt/mipsel-linux-uclibc/usr/bin/mipsel-linux-gcc -DDINGOO
#SDL = -I/opt/mipsel-linux-uclibc/usr/mipsel-linux-uclibc/sys-include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
#INCLUDE = -I/opt/mipsel-linux-uclibc/usr/mipsel-linux-uclibc/sys-include
#LIB = -L/opt/mipsel-linux-uclibc/usr/lib -Wl,-rpath=/opt/mipsel-linux-uclibc/usr/lib
#==Pandora==
#CPP = /opt/pandora/arm-2011.03/bin/arm-none-linux-gnueabi-gcc -DARMCPU -DPANDORA
#SDL = `/opt/pandora/arm-2011.03/usr/bin/sdl-config --cflags`
#INCLUDE = -I/opt/pandora/arm-2011.03/usr/include
#LIB = -L/opt/pandora/arm-2011.03/usr/lib -Wl,-rpath=/opt/pandora/arm-2011.03/usr/lib -lpnd

all: puzzletube

puzzletube: puzzletube.c particle.o game.o music.o menu.o stars.o settings.o lettering.o splashscreen.o
	$(CPP) $(CFLAGS) puzzletube.c particle.o game.o music.o menu.o stars.o settings.o lettering.o splashscreen.o ../sparrow3d/3dengine.o ../sparrow3d/graphicstuff.o ../sparrow3d/meshloader.o ../sparrow3d/graphicstuff-asm.o $(SDL) $(INCLUDE) $(LIB) -lSDL_ttf -lSDL_mixer -lSDL_image -lSDL -lm  $(ORIGINALFW) -o puzzletube

particle.o: particle.c particle.h
	$(CPP) $(CFLAGS) -c particle.c $(SDL) $(INCLUDE)

game.o: game.c game.h
	$(CPP) $(CFLAGS) -c game.c $(SDL) $(INCLUDE)

music.o: music.c music.h
	$(CPP) $(CFLAGS) -c music.c $(SDL) $(INCLUDE)

menu.o: menu.c menu.h
	$(CPP) $(CFLAGS) -c menu.c $(SDL) $(INCLUDE)

stars.o: stars.c stars.h
	$(CPP) $(CFLAGS) -c stars.c $(SDL) $(INCLUDE)

settings.o: settings.c settings.h
	$(CPP) $(CFLAGS) -c settings.c $(SDL) $(INCLUDE)

lettering.o: lettering.c lettering.h
	$(CPP) $(CFLAGS) -c lettering.c $(SDL) $(INCLUDE)

splashscreen.o: splashscreen.c splashscreen.h
	$(CPP) $(CFLAGS) -c splashscreen.c $(SDL) $(INCLUDE)

clean:
	rm *.o
	rm puzzletube

=== sparrow3d/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 CFLAGS = -O3
 CFLAGS_ASM = -O2
 #==PC==
-CPP = gcc -g -DARMCPU
+CPP = gcc -g
 SDL = `sdl-config --cflags`
 #==Consoles==
 #==GP2X/WIZ==

=== debian/changelog ===
puzzletube (0.5-maemo2) unstable; urgency=low

   * Sneak preview

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 21 Jul 2011 10:53:40 +0200

=== debian/control ===
Source: puzzletube
Section: user/games
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com> 
Build-Depends: debhelper (>= 5.0.42), libsdl1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, libsdl-mixer1.2-dev
Standards-Version: 3.8.1
Homepage: https://github.com/theZiz/puzzletube

Package: puzzletube
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A puzzle game - on a tube
XSBC-Bugtracker:https://github.com/theZiz/puzzletube/issues
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABGdBTUEAALGP
 C/xhBQAAAAFzUkdCAK7OHOkAAAAgY0hSTQAAeiYAAICEAAD6AAAAgOgAAHUw
 AADqYAAAOpgAABdwnLpRPAAAAAZiS0dEAP8AQABANWGwowAAAAlwSFlzAAAL
 EwAACxMBAJqcGAAAAAl2cEFnAAAAMAAAADAAzu6MVwAAAUlJREFUaN7tmbFu
 gzAQhj9bFok6ZcqQp8n7v4Ob0jQogSG4Q2UKCh0wlZo26nhGuk+ysAzD//mO
 6cy4348sGFuWJSEEsBaMkc7zP8aAtYQQKMsS93w4sNvtKIqC9XqNsRbGTIti
 DOPtRoyR8+VCVVVYgLpp8N4TY8y7CsYQY8R7T900ADgD9H3PtW05Ho9sVys2
 mVagNYa667i2Lf0wYAEHYIFhGDhVFQWwkU76SAA4pb29ey4WN28y7vwf3Odc
 fAVUQBoVkEYFpFEBaVRAGhWQRgWkUQFpVEAaFZBGBaRRAWlUQBoVkEYFpFEB
 aX4J5Dyp+Svb4ivwPaX8BGqmSeCLdKoHXIEPYAsUwI15TgwE4C19kGsbjcAT
 sGIaBTtSCzWAB7qMw5OydSlrk87cgalt5pvPWQCmtvkAzkAE3Gt6sZS/eb7k
 97S+AH+1ZSB3458HAAAAGXRFWHRDb21tZW50AENyZWF0ZWQgd2l0aCBHSU1Q
 V4EOFwAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAxMS0wNy0yMFQyMTowOTo0Nisw
 MzowMMaRgk8AAAAldEVYdGRhdGU6bW9kaWZ5ADIwMTEtMDctMjBUMjE6MDk6
 NDYrMDM6MDC3zDrzAAAAAElFTkSuQmCC

## puzzletube 0.5-maemo3

=== libsdl-mixer1.2-1.2.6/Makefile ===
# Makefile.in generated by automake 1.8.2 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Makefile.am for the SDL sample mixer library and players



SOURCES = $(libSDL_mixer_la_SOURCES) playmus.c playwave.c

srcdir = .
top_srcdir = .

pkgdatadir = $(datadir)/SDL_mixer
pkglibdir = $(libdir)/SDL_mixer
pkgincludedir = $(includedir)/SDL_mixer
top_builddir = .
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
target_triplet = x86_64-unknown-linux-gnu
noinst_PROGRAMS = playwave$(EXEEXT) playmus$(EXEEXT)
DIST_COMMON = README $(am__configure_deps) \
	$(libSDL_mixerinclude_HEADERS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/SDL_mixer.qpg.in \
	$(srcdir)/SDL_mixer.spec.in $(top_srcdir)/configure COPYING \
	config.guess config.sub depcomp install-sh ltmain.sh missing
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno configure.status.lineno
mkinstalldirs = $(mkdir_p)
CONFIG_CLEAN_FILES = SDL_mixer.spec SDL_mixer.qpg
am__installdirs = $(DESTDIR)$(libdir) $(DESTDIR)$(libSDL_mixerincludedir)
libLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(lib_LTLIBRARIES)
#am__DEPENDENCIES_1 = mikmod/libmikmod.la
#am__DEPENDENCIES_2 = timidity/libtimidity.la
#am__DEPENDENCIES_3 = native_midi/libnativemidi.la
##am__DEPENDENCIES_3 = native_midi_gpl/libnativemidi_gpl.la
libSDL_mixer_la_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_2) $(am__DEPENDENCIES_3)
am_libSDL_mixer_la_OBJECTS = load_aiff.lo load_voc.lo load_ogg.lo \
	mixer.lo music.lo music_cmd.lo music_ogg.lo wavestream.lo \
	effect_position.lo effect_stereoreverse.lo effects_internal.lo
libSDL_mixer_la_OBJECTS = $(am_libSDL_mixer_la_OBJECTS)
PROGRAMS = $(noinst_PROGRAMS)
playmus_SOURCES = playmus.c
playmus_OBJECTS = playmus.$(OBJEXT)
playmus_DEPENDENCIES = libSDL_mixer.la
playwave_SOURCES = playwave.c
playwave_OBJECTS = playwave.$(OBJEXT)
playwave_DEPENDENCIES = libSDL_mixer.la
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/effect_position.Plo \
	./$(DEPDIR)/effect_stereoreverse.Plo \
	./$(DEPDIR)/effects_internal.Plo \
	./$(DEPDIR)/load_aiff.Plo ./$(DEPDIR)/load_ogg.Plo \
	./$(DEPDIR)/load_voc.Plo ./$(DEPDIR)/mixer.Plo \
	./$(DEPDIR)/music.Plo ./$(DEPDIR)/music_cmd.Plo \
	./$(DEPDIR)/music_ogg.Plo ./$(DEPDIR)/playmus.Po \
	./$(DEPDIR)/playwave.Po ./$(DEPDIR)/wavestream.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libSDL_mixer_la_SOURCES) playmus.c playwave.c
DIST_SOURCES = $(libSDL_mixer_la_SOURCES) playmus.c playwave.c
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-exec-recursive install-info-recursive \
	install-recursive installcheck-recursive installdirs-recursive \
	pdf-recursive ps-recursive uninstall-info-recursive \
	uninstall-recursive
libSDL_mixerincludeHEADERS_INSTALL = $(INSTALL_HEADER)
HEADERS = $(libSDL_mixerinclude_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/rantalai/stuff/pelit/puzzletube/puzzletube-0.5/libsdl-mixer1.2-1.2.6/missing --run aclocal-1.8
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/rantalai/stuff/pelit/puzzletube/puzzletube-0.5/libsdl-mixer1.2-1.2.6/missing --run tar
AR = ar
AS = as
AUTOCONF = ${SHELL} /home/rantalai/stuff/pelit/puzzletube/puzzletube-0.5/libsdl-mixer1.2-1.2.6/missing --run autoconf
AUTOHEADER = ${SHELL} /home/rantalai/stuff/pelit/puzzletube/puzzletube-0.5/libsdl-mixer1.2-1.2.6/missing --run autoheader
AUTOMAKE = ${SHELL} /home/rantalai/stuff/pelit/puzzletube/puzzletube-0.5/libsdl-mixer1.2-1.2.6/missing --run automake-1.8
AWK = gawk
BINARY_AGE = 6
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -DUSE_RWOPS -DOGG_MUSIC
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"SDL_mixer\" -DVERSION=\"1.2.6\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1
DEPDIR = .deps
DLLTOOL = dlltool
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INTERFACE_AGE = 4
LDFLAGS = 
LIBMIKMOD_CONFIG = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
LT_AGE = 2
LT_CURRENT = 2
LT_RELEASE = 1.2
LT_REVISION = 4
MAJOR_VERSION = 1
MAKEINFO = ${SHELL} /home/rantalai/stuff/pelit/puzzletube/puzzletube-0.5/libsdl-mixer1.2-1.2.6/missing --run makeinfo
MICRO_VERSION = 6
MINOR_VERSION = 2
MUSIC_SUBDIRS = 
OBJDUMP = objdump
OBJEXT = o
PACKAGE = SDL_mixer
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = ranlib
SDL_CFLAGS = -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
SDL_CONFIG = /usr/bin/sdl-config
SDL_LIBS = -L/usr/lib -lSDL
SET_MAKE = 
SHELL = /bin/sh
SMPEG_CFLAGS = 
SMPEG_CONFIG = 
SMPEG_LIBS = 
STRIP = strip
SYSTEM_LIBS =  -lvorbisfile -lvorbis -logg
USE_MIKMOD_FALSE = 
USE_MIKMOD_TRUE = #
USE_NATIVE_MIDI_FALSE = 
USE_NATIVE_MIDI_GPL_FALSE = 
USE_NATIVE_MIDI_GPL_TRUE = #
USE_NATIVE_MIDI_TRUE = #
USE_TIMIDITY_FALSE = 
USE_TIMIDITY_TRUE = #
VERSION = 1.2.6
ac_ct_AR = @ac_ct_AR@
ac_ct_AS = @ac_ct_AS@
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DLLTOOL = @ac_ct_DLLTOOL@
ac_ct_F77 = 
ac_ct_OBJDUMP = @ac_ct_OBJDUMP@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = /home/rantalai/stuff/pelit/puzzletube/puzzletube-0.5/libsdl-mixer1.2-1.2.6/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/share/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target = x86_64-unknown-linux-gnu
target_alias = 
target_cpu = x86_64
target_os = linux-gnu
target_vendor = unknown
lib_LTLIBRARIES = libSDL_mixer.la
SUBDIRS = 
DIST_SUBDIRS = mikmod timidity native_midi native_midi_gpl
libSDL_mixerincludedir = $(includedir)/SDL
libSDL_mixerinclude_HEADERS = \
	SDL_mixer.h

libSDL_mixer_la_SOURCES = \
	load_aiff.c		\
	load_aiff.h		\
	load_voc.c		\
	load_voc.h		\
	load_ogg.c		\
	load_ogg.h		\
	mixer.c			\
	music.c			\
	music_cmd.c		\
	music_cmd.h		\
	music_ogg.c		\
	music_ogg.h		\
	wavestream.c		\
	wavestream.h		\
	effect_position.c	\
	effect_stereoreverse.c	\
	effects_internal.c	\
	effects_internal.h

MIKMOD_LIB = 
#MIKMOD_LIB = mikmod/libmikmod.la
TIMIDITY_LIB = 
#TIMIDITY_LIB = timidity/libtimidity.la
NATIVE_MIDI_LIB = 
#NATIVE_MIDI_LIB = native_midi/libnativemidi.la
##NATIVE_MIDI_LIB = native_midi_gpl/libnativemidi_gpl.la
EXTRA_DIST = \
	CHANGES			\
	VisualC.zip		\
	PBProjects.tar.gz	\
	MPWmake.sea.bin		\
	CWProjects.sea.bin	\
	SDL_mixer.spec		\
	SDL_mixer.spec.in	\
	autogen.sh

libSDL_mixer_la_LDFLAGS = \
	-no-undefined		\
	-release $(LT_RELEASE)	\
	-version-info $(LT_CURRENT):$(LT_REVISION):$(LT_AGE) \
	-export-symbols-regex Mix_.*

libSDL_mixer_la_LIBADD = $(MIKMOD_LIB) $(TIMIDITY_LIB) $(NATIVE_MIDI_LIB)  -lvorbisfile -lvorbis -logg -L/usr/lib -lSDL
playwave_LDADD = libSDL_mixer.la -L/usr/lib -lSDL
playmus_LDADD = libSDL_mixer.la -L/usr/lib -lSDL
all: all-recursive

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
am--refresh:
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
	      cd $(srcdir) && $(AUTOMAKE) --foreign  \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
SDL_mixer.spec: $(top_builddir)/config.status $(srcdir)/SDL_mixer.spec.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
SDL_mixer.qpg: $(top_builddir)/config.status $(srcdir)/SDL_mixer.qpg.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkdir_p) $(DESTDIR)$(libdir)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f="`echo $$p | sed -e 's|^.*/||'`"; \
	    echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f"; \
	    $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)

=== puzzletube/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 CFLAGS = -O3
 #==PC==
-CPP = gcc -g -DARMCPU
-SDL = `sdl-config --cflags`
+CPP = gcc -g -DARMCPU -Ilib
+SDL = `sdl-config --cflags` `pkg-config --libs --cflags vorbis vorbisfile ogg `  `smpeg-config  --cflags --libs `
 #==Consoles==
 #==GP2X/WIZ==
 #  REALGP2X activates gp2xspecific optimizations, which the wiz doesn't need
@@ -30,7 +30,7 @@
 all: puzzletube
 
 puzzletube: puzzletube.c particle.o game.o music.o menu.o stars.o settings.o lettering.o splashscreen.o
-	$(CPP) $(CFLAGS) puzzletube.c particle.o game.o music.o menu.o stars.o settings.o lettering.o splashscreen.o ../sparrow3d/3dengine.o ../sparrow3d/graphicstuff.o ../sparrow3d/meshloader.o ../sparrow3d/graphicstuff-asm.o $(SDL) $(INCLUDE) $(LIB) -lSDL_ttf -lSDL_mixer -lSDL_image -lSDL -lm  $(ORIGINALFW) -o puzzletube
+	$(CPP) $(CFLAGS) puzzletube.c particle.o game.o music.o menu.o stars.o settings.o lettering.o splashscreen.o ../sparrow3d/3dengine.o ../sparrow3d/graphicstuff.o ../sparrow3d/meshloader.o ../sparrow3d/graphicstuff-asm.o lib/*.o $(SDL) $(INCLUDE) $(LIB) -lSDL_ttf  -lSDL_image -lSDL -lm  $(ORIGINALFW) -o puzzletube
 
 particle.o: particle.c particle.h
 	$(CPP) $(CFLAGS) -c particle.c $(SDL) $(INCLUDE)

=== sparrow3d/Makefile ===
--- 
+++ 
@@ -1,12 +1,16 @@
+#==Use if to slow!==
+# -DFAST_BUT_UGLY
+# -DFAST_BUT_UGLY_2
+#==global Flags. Even on the gp2x with 16 kb Cache, -O3 is much better then -Os
 CFLAGS = -O3
 CFLAGS_ASM = -O2
 #==PC==
-CPP = gcc -g
+CPP = gcc -g -DARMCPU
 SDL = `sdl-config --cflags`
 #==Consoles==
 #==GP2X/WIZ==
 #ORIGINALFW = -static -lfreetype -lpng -lpthread -lz -ljpeg -lm -s
-#CPP = /opt/open2x/gcc-4.1.1-glibc-2.3.6/bin/arm-open2x-linux-gcc -DMOBILE_DEVICE -DARMCPU -DGP2X
+#CPP = /opt/open2x/gcc-4.1.1-glibc-2.3.6/bin/arm-open2x-linux-gcc -DMOBILE_DEVICE -DARMCPU -DGP2X -ffast-math
 #SDL = `/opt/open2x/gcc-4.1.1-glibc-2.3.6/bin/sdl-config --cflags`
 #INCLUDE = -I/opt/open2x/gcc-4.1.1-glibc-2.3.6/include
 #LIB = -L/opt/open2x/gcc-4.1.1-glibc-2.3.6/lib -Wl,-rpath=/opt/open2x/gcc-4.1.1-glibc-2.3.6/lib
@@ -31,8 +35,25 @@
 testsparrow: testsparrow.c sparrow3d
 	$(CPP) $(CFLAGS) testsparrow.c $(SDL) $(INCLUDE) -L. $(LIB) -lSDL_ttf -lSDL_image -lSDL -lm -lsparrow3d $(ORIGINALFW) -o testsparrow
 
-sparrow3d: sparrowCore.o sparrowMath.o
-	$(CPP) -shared -Wl,-soname,libsparrow3d.so -o libsparrow3d.so sparrowCore.o sparrowMath.o $(SDL) $(INCLUDE) $(LIB) -lSDL_ttf -lSDL_image -lSDL -lm $(ORIGINALFW)
+sparrow3d: sparrowCore.o sparrowMath.o sparrowPrimitives.o sparrowRenderer.o
+	$(CPP) -shared -Wl,-soname,libsparrow3d.so -o libsparrow3d.so sparrowCore.o sparrowMath.o sparrowPrimitives.o sparrowRenderer.o $(SDL) $(INCLUDE) $(LIB) -lSDL_ttf -lSDL_image -lSDL -lm $(ORIGINALFW)
+
+sparrowCore.o: sparrowCore.c sparrowCore.h
+	$(CPP) $(CFLAGS) -fPIC -c sparrowCore.c $(SDL) $(INCLUDE)
+
+sparrowPrimitives.o: sparrowPrimitives.c sparrowPrimitives.h
+	$(CPP) $(CFLAGS)  -fsingle-precision-constant -fPIC -c sparrowPrimitives.c $(SDL) $(INCLUDE)
+
+sparrowRenderer.o: sparrowRenderer.c sparrowRenderer.h
+	$(CPP) $(CFLAGS) -fPIC -c sparrowRenderer.c $(SDL) $(INCLUDE)
+
+sparrowMath.o: sparrowMath.c sparrowMath.h
+	$(CPP) $(CFLAGS) -fPIC -c sparrowMath.c $(SDL) $(INCLUDE)
+
+clean:
+	rm *.o
+	rm libsparrow3d.so
+	rm testsparrow
 
 testengine: testengine.c meshloader.o 3dengine.o graphicstuff.o graphicstuff-asm.o
 	$(CPP) $(CFLAGS) testengine.c 3dengine.o graphicstuff.o meshloader.o graphicstuff-asm.o $(SDL) $(INCLUDE) $(LIB) -lSDL_ttf -lSDL_image -lSDL -lm $(ORIGINALFW) -o testengine
@@ -48,14 +69,3 @@
 
 graphicstuff-asm.o: graphicstuff-asm.c graphicstuff.h
 	$(CPP) $(CFLAGS_ASM) -c graphicstuff-asm.c $(SDL) $(INCLUDE)
-
-sparrowCore.o: sparrowCore.c sparrowCore.h
-	$(CPP) $(CFLAGS) -fPIC -c sparrowCore.c $(SDL) $(INCLUDE)
-
-sparrowMath.o: sparrowMath.c sparrowMath.h
-	$(CPP) $(CFLAGS) -fPIC -c sparrowMath.c $(SDL) $(INCLUDE)
-
-clean:
-	rm *.o
-	rm libsparrow3d.so
-	rm testsparrow

=== libsdl-mixer1.2-1.2.6/native_midi_gpl/Makefile ===
# Makefile.in generated by automake 1.8.2 from Makefile.am.
# native_midi_gpl/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



SOURCES = $(libnativemidi_gpl_la_SOURCES)

srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/SDL_mixer
pkglibdir = $(libdir)/SDL_mixer
pkgincludedir = $(includedir)/SDL_mixer
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
target_triplet = x86_64-unknown-linux-gnu
subdir = native_midi_gpl
DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(mkdir_p)
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)
libnativemidi_gpl_la_LIBADD =
am_libnativemidi_gpl_la_OBJECTS = emumidi.lo native_midi_gpl.lo \
	patchload.lo playevents.lo readmidi.lo
libnativemidi_gpl_la_OBJECTS = $(am_libnativemidi_gpl_la_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/emumidi.Plo \
	./$(DEPDIR)/native_midi_gpl.Plo \
	./$(DEPDIR)/patchload.Plo \
	./$(DEPDIR)/playevents.Plo \
	./$(DEPDIR)/readmidi.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libnativemidi_gpl_la_SOURCES)
DIST_SOURCES = $(libnativemidi_gpl_la_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/rantalai/stuff/pelit/puzzletube/puzzletube-0.5/libsdl-mixer1.2-1.2.6/missing --run aclocal-1.8
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/rantalai/stuff/pelit/puzzletube/puzzletube-0.5/libsdl-mixer1.2-1.2.6/missing --run tar
AR = ar
AS = as
AUTOCONF = ${SHELL} /home/rantalai/stuff/pelit/puzzletube/puzzletube-0.5/libsdl-mixer1.2-1.2.6/missing --run autoconf
AUTOHEADER = ${SHELL} /home/rantalai/stuff/pelit/puzzletube/puzzletube-0.5/libsdl-mixer1.2-1.2.6/missing --run autoheader
AUTOMAKE = ${SHELL} /home/rantalai/stuff/pelit/puzzletube/puzzletube-0.5/libsdl-mixer1.2-1.2.6/missing --run automake-1.8
AWK = gawk
BINARY_AGE = 6
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -DUSE_RWOPS -DOGG_MUSIC
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"SDL_mixer\" -DVERSION=\"1.2.6\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1
DEPDIR = .deps
DLLTOOL = dlltool
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INTERFACE_AGE = 4
LDFLAGS = 
LIBMIKMOD_CONFIG = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
LT_AGE = 2
LT_CURRENT = 2
LT_RELEASE = 1.2
LT_REVISION = 4
MAJOR_VERSION = 1
MAKEINFO = ${SHELL} /home/rantalai/stuff/pelit/puzzletube/puzzletube-0.5/libsdl-mixer1.2-1.2.6/missing --run makeinfo
MICRO_VERSION = 6
MINOR_VERSION = 2
MUSIC_SUBDIRS = 
OBJDUMP = objdump
OBJEXT = o
PACKAGE = SDL_mixer
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = ranlib
SDL_CFLAGS = -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
SDL_CONFIG = /usr/bin/sdl-config
SDL_LIBS = -L/usr/lib -lSDL
SET_MAKE = 
SHELL = /bin/sh
SMPEG_CFLAGS = 
SMPEG_CONFIG = 
SMPEG_LIBS = 
STRIP = strip
SYSTEM_LIBS =  -lvorbisfile -lvorbis -logg
USE_MIKMOD_FALSE = 
USE_MIKMOD_TRUE = #
USE_NATIVE_MIDI_FALSE = 
USE_NATIVE_MIDI_GPL_FALSE = 
USE_NATIVE_MIDI_GPL_TRUE = #
USE_NATIVE_MIDI_TRUE = #
USE_TIMIDITY_FALSE = 
USE_TIMIDITY_TRUE = #
VERSION = 1.2.6
ac_ct_AR = @ac_ct_AR@
ac_ct_AS = @ac_ct_AS@
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DLLTOOL = @ac_ct_DLLTOOL@
ac_ct_F77 = 
ac_ct_OBJDUMP = @ac_ct_OBJDUMP@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = /home/rantalai/stuff/pelit/puzzletube/puzzletube-0.5/libsdl-mixer1.2-1.2.6/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/share/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target = x86_64-unknown-linux-gnu
target_alias = 
target_cpu = x86_64
target_os = linux-gnu
target_vendor = unknown
noinst_LTLIBRARIES = libnativemidi_gpl.la
libnativemidi_gpl_la_SOURCES = \
	awe_voice.h		\
	emumidi.c		\
	emumidi.h		\
	gmvoices.h		\
	gsvoices.h		\
	native_midi_gpl.c	\
	patchload.c		\
	playevents.c		\
	playmidi.h		\
	readmidi.c

INCLUDES = -I$(top_srcdir)
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  native_midi_gpl/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  native_midi_gpl/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" = "$$p" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libnativemidi_gpl.la: $(libnativemidi_gpl_la_OBJECTS) $(libnativemidi_gpl_la_DEPENDENCIES) 
	$(LINK)  $(libnativemidi_gpl_la_LDFLAGS) $(libnativemidi_gpl_la_OBJECTS) $(libnativemidi_gpl_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/emumidi.Plo
include ./$(DEPDIR)/native_midi_gpl.Plo
include ./$(DEPDIR)/patchload.Plo
include ./$(DEPDIR)/playevents.Plo
include ./$(DEPDIR)/readmidi.Plo

.c.o:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=yes \
#	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \

=== debian/changelog ===
puzzletube (0.5-maemo3) unstable; urgency=low

   * SDL-mixer bundled to binary (because system's sdl-mixer is torso)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri,  5 Aug 2011 10:18:40 +0200

=== debian/rules ===
--- 
+++ 
@@ -31,14 +31,44 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
+
 ifeq ($(DEB_BUILD_GNU_TYPE),arm-linux-gnueabi)
 	cd sparrow3d ; make testengine
+else
+	cd sparrow3d ; make -f Makefile.i386 testengine
+endif
+
+
+	cd libsdl-mixer1.2-1.2.6 ; ./configure \
+  --enable-music-cmd=no\
+  --enable-music-wave=no\
+  --enable-music-libmikmod=no\
+  --enable-music-mod=no\
+  --enable-music-midi=no\
+  --enable-music-timidity-midi=no\
+  --enable-music-native-midi=no\
+  --enable-music-native-midi-gpl=no\
+  --enable-music-ogg=yes\
+  --enable-music-mp3=no ; make ; cp effect_position.o \
+  effects_internal.o  \
+  load_ogg.o \
+  mixer.o  \
+  music_cmd.o  \
+  wavestream.o \
+  effect_stereoreverse.o \
+  load_aiff.o \
+  load_voc.o \
+  music.o  \
+  music_ogg.o  ../puzzletube/lib
+	cp libsdl-mixer1.2-1.2.6/SDL_mixer.h puzzletube/lib/SDL
+
+ifeq ($(DEB_BUILD_GNU_TYPE),arm-linux-gnueabi)
 	cd puzzletube ; make
 else
-	cd sparrow3d ; make -f Makefile.i386 testengine 
 	cd puzzletube ; make -f Makefile.i386
 endif
 
+ 
 	touch $@
 
 clean:
@@ -65,7 +95,6 @@
 	install -d ${CURDIR}/debian/puzzletube/opt/puzzletube/font
 	install -d ${CURDIR}/debian/puzzletube/opt/puzzletube/images
 	install -d ${CURDIR}/debian/puzzletube/opt/puzzletube/sounds
-	install -d ${CURDIR}/debian/puzzletube/opt/puzzletube/lib
 
 
 	#files
@@ -75,9 +104,6 @@
 	install ${CURDIR}/puzzletube/images/*  ${CURDIR}/debian/puzzletube/opt/puzzletube/images
 	install ${CURDIR}/puzzletube/sounds/*  ${CURDIR}/debian/puzzletube/opt/puzzletube/sounds
 
-ifeq ($(DEB_BUILD_GNU_TYPE),arm-linux-gnueabi)
-	install ${CURDIR}/libSDL_mixer-1.2.so.0  ${CURDIR}/debian/puzzletube/opt/puzzletube/lib
-endif
 
 	#menu and icon and starting script
 	install -d  ${CURDIR}/debian/puzzletube/usr/share/icons/hicolor/64x64/hildon
@@ -119,7 +145,7 @@
 #	dh_python
 #	dh_makeshlibs
 	dh_installdeb
-#	dh_shlibdeps
+	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
